Function
isLessOrEqual
Operator "<=".
isLessOrEqual(left, right [, prefix_order_tag])
isLessOrEqual(comparator)
Include Headers
seqan/sequence.h
Parameters

left | The first parameter.
right | The second parameter that is compared to left.
prefix_order_tag | Tag that specify whether prefixes are less or greater. (optional) If omitted, the default tag is determined by DefaultPrefixOrder for the type of left. See: Prefix Order
comparator | A comparator. Types: Lexical

Remarks
Sequences are compared in lexicographical order.
Return Values
true if left is less than or equal to right, false otherwise.
Member of
Lexical
See Also
Prefix Order, DefaultPrefixOrder, Comparator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58